#ifndef __PCAN_PCI_H__
#define __PCAN_PCI_H__

//****************************************************************************
// Copyright (C) 2001,2002  PEAK System-Technik GmbH
//
// linux@peak-system.com
// www.peak-system.com 
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
// Maintainer(s): Klaus Hitschler (klaus.hitschler@gmx.de)
//****************************************************************************

//****************************************************************************
//
// all parts to handle device interface specific for pcan-pci
//
// $Log: pcan_pci.h,v $
// Revision 1.10  2002/01/30 20:54:27  klaus
// simple source file header change
//
// Revision 1.9  2002/01/23 22:35:37  klaus
// removed crashing bug at 2nd channel of PCAN-PCI
//
// Revision 1.8  2002/01/13 18:36:12  klaus
// first release
//
// Revision 1.7  2001/12/02 21:52:18  klaus
// nade changes at FIFO management, first parts of SJA1000
// read and write
//
//****************************************************************************

//****************************************************************************
// INCLUDES
#include <src/pcan_main.h>

//****************************************************************************
// DEFINES
#define PCAN_PCI_VENDOR_ID 0x001C  // the PCI device and vendor IDs
#define PCAN_PCI_DEVICE_ID 0x0001

#define PCI_CONFIG_PORT_SIZE 0x1000 // size of the config io-memory
#define PCI_PORT_SIZE        0x0400 // size of a channel io-memory

int  pcan_pci_init(struct pcandev *dev, u32 dwConfigPort, u32 dwPort, u16 wIrq, u8 ucMasterDevice, struct pcandev *master_dev);

#endif // __PCAN_PCI_H__
